#!/usr/bin/env python
import subprocess
import sys
import os

print("=== Installation des dépendances ===")
print(f"Python version: {sys.version}")
print(f"Répertoire actuel: {os.getcwd()}")

try:
    # Installer les packages
    packages = [
        'flask==3.0.0',
        'flask-cors==4.0.0', 
        'groq==0.4.2',
        'python-dotenv==1.0.0',
        'gunicorn==21.2.0'
    ]
    
    for package in packages:
        print(f"\nInstallation de {package}...")
        subprocess.check_call([sys.executable, "-m", "pip", "install", package])
        print(f"✓ {package} installé")
        
    print("\n✅ Toutes les dépendances sont installées!")
    
except Exception as e:
    print(f"\n❌ Erreur : {e}")